#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    unsigned long n;
    cin>>n;
    long a[n][n];
    long b[n];
    long c[n];
    for(int i=0;i<n;i++){
        for(int j=0;j<2;j++){
            cin>>a[i][j];
        }
    }
    for(int i=0;i<n;i++){
        b[i]=a[i][0];
    }
    unsigned long maxn;
    for(int i=0;i<n-1;i++){
        maxn=i;
        for(int j=i+1;j<n;j++){
            if(b[j]<b[maxn]){
                maxn=j;
            }
        }
        swap(b[i],b[maxn]);
    }
    long p=0;
    long br=1;
    for(int i=0;i<n;i++){
        p=p+abs(b[i]-br);
        br=br+1;
    }
    for(int i=0;i<n;i++){
        c[i]=a[i][1];
    }
    for(int i=0;i<n-1;i++){
        maxn=i;
        for(int j=i+1;j<n;j++){
            if(c[j]<c[maxn]){
                maxn=j;
            }
        }
        swap(c[i],c[maxn]);
    }
    long d=0;
    br=1;
    for(int i=0;i<n;i++){
        d=d+abs(c[i]-br);
        br=br+1;
    }
    cout<<p+d;
    return 0;
}